import Root from '../root';
import { renderWithClient } from '../../../utils/test/react-query';
import { MemoryRouter } from 'react-router-dom';

describe('Intro component', () => {
  test('successful render component', async () => {
    const result = renderWithClient(<Root />, MemoryRouter);
    const testIds = ['heading', 'content', 'audio'];
    for (const testId of testIds) {
      expect(await result.findByTestId(testId)).toBeInTheDocument();
    }
  });
});
